package com.mdd.unik_lib_flutter

import java.io.File
import java.io.PrintWriter

class FileUtils {

    fun createFile(fileName: String) {
        val wallpaperDirectory = File("/sdcard/Wallpaper/")
        // have the object build the directory structure, if needed.
        wallpaperDirectory.mkdirs()
        // create a File object for the output file
        val file = File(wallpaperDirectory, fileName)
//        var file = File(fileName)

        // create a new file
        val isNewFileCreated: Boolean = file.createNewFile()

        if (isNewFileCreated) {
            println("$fileName is created successfully.")
        } else {
            println("$fileName already exists.")
        }

        // try creating a file that already exists
        val isFileCreated: Boolean = file.createNewFile()

        if (isFileCreated) {
            println("$fileName is created successfully.")
        } else {
            println("$fileName already exists.")
        }
    }

    fun writeFile(fileName: String, inputText: String) {

        val wallpaperDirectory = File("/sdcard/Wallpaper/")
        // have the object build the directory structure, if needed.
        wallpaperDirectory.mkdirs()
        // create a File object for the output file
        val file = File(wallpaperDirectory, fileName)

        // create a new file
        file.writeText(inputText)
    }

    fun deleteContent(fileName: String) {
        var file = File(fileName)

        val writer = PrintWriter(file)
        writer.print("")
        writer.close()
    }

    fun readFileAsLinesUsingUseLines(fileName: String): List<String> =
        File("/sdcard/Wallpaper/"+ fileName).useLines { it.toList() }
}